package com.upyuns.platform.rs.datacenter.utils;

import java.io.File;

public class FileOperateUtil {

    public static String getFileNameNotFormat(String filePath) {
        filePath = filePath.replaceAll("\\\\", "/");
        Integer indexOf = filePath.lastIndexOf("/");
        String fileName = filePath.substring(indexOf);
        String dirName = fileName;
        indexOf = filePath.lastIndexOf(".");
        if (indexOf > 0) {
            dirName = dirName.substring(0, indexOf);
        }
        return dirName;
    }

    public static String getFileName(String filePath) {
        filePath = filePath.replaceAll("\\\\", "/");
        Integer indexOf = filePath.lastIndexOf("/");
        String fileName = filePath.substring(indexOf);
        return fileName;
    }

    public static String getlocalFileParentPath(String filePath) {
        File file = new File(filePath);
        return file.getParent();
    }

    public static String getPathParentPath(String filePath) {
        filePath = filePath.replaceAll("\\\\", "/");
        Integer indexOf = filePath.lastIndexOf("/");
        String parentPath = filePath;
        if (indexOf > 0) {
            parentPath = parentPath.substring(0, indexOf);
        }
        return parentPath;
    }
}
